Bug 110328 - CAN-2003-0542 local buffer overflow in config file parsing
CAN-2003-0542 local buffer overflow in config file parsing
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: apache (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
Brian Brock
: Security
Depends On:
Blocks: 87937
  Show dependency treegraph
 
Reported: 2003-11-18 10:41 EST by Joe Orton
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-10 11:49:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2003-11-18 10:41:52 EST
CAN-2003-0542 affects 1.3.27 

Description:
Multiple stack-based buffer overflows in (1) mod_alias and (2)
mod_rewrite for Apache before 1.3.29 allow attackers to can create
configuration files to cause a denial of service (crash) or execute
arbitrary code via a regular expression with more than 9 captures.

Version:
This issue affects the apache package shipped with all variants of Red
Hat Enterprise Linux 2.1.
Comment 2 Mark J. Cox (Product Security) 2003-12-10 11:49:44 EST
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-360.html

Note You need to log in before you can comment on or make changes to this bug.